<?php
// File: $Id: admin.php,v 1.0 2002/09/11 10:36:37 CyberOto Exp $ $Name:  $
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2001 by the PostNuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// Original Author of file: Yassen Yotov
// Purpose of file: Admin interface
// ----------------------------------------------------------------------
define('_CONFIG_MODULE', 'PostWrap');
modules_get_language();

// main functions for the admin interface according to actions
function PostWrap_admin_main()
{
	$output = new pnHTML();
	// Security check - important to do this as early as possible to avoid
	// potential security holes or just too much wasted processing
	if (!pnSecAuthAction(0, 'PostWrap::', '::', ACCESS_ADMIN))
	{
		$output->Text(_MODIFYLINKSSNOAUTH);
		return $output->GetOutput();
	}
	
	$output->SetInputMode(_PNH_VERBATIMINPUT);
	$output->Text(PostWrap_adminmenu());
	$output->SetInputMode(_PNH_PARSEINPUT);
	
	
	return $output->GetOutput();
}

function PostWrap_admin_Url()
{
	$output = new pnHTML();
	// Security check - important to do this as early as possible to avoid
	// potential security holes or just too much wasted processing
	if (!pnSecAuthAction(0, 'PostWrap::', '::', ACCESS_ADMIN))
	{
		$output->Text(_MODIFYLINKSSNOAUTH);
		return $output->GetOutput();
	}
	
	$output->SetInputMode(_PNH_VERBATIMINPUT);
	$output->Text(PostWrap_adminmenu());
	$output->SetInputMode(_PNH_PARSEINPUT);
	$output->BoldText(_ADMINMAIN._MODULETITLE._ADMINURLPANEL);
	$output->Linebreak();
	
	$output->SetOutputMode(_PNH_KEEPOUTPUT);
	
	list($dbconn) = pnDBGetConn();
	$pntable = pnDBGetTables();
	
	$urltable = $pntable['postwrap_url'];
	$result = $dbconn->Execute("SELECT * FROM $urltable");
	
	$output->FormStart(pnModURL('PostWrap', 'adminapi', 'AddUrl'));
	// Add an authorisation ID - this adds a hidden field in the form that
	// contains an authorisation ID.  The authorisation ID is very important in
	// preventing certain attacks on the website
	$output->FormHidden('authid', pnSecGenAuthKey());
	
	$output->TableStart('','',0);
	
	$row1 = array();
	$output->SetOutputMode(_PNH_RETURNOUTPUT);
	
//	$row1[] = $output->BoldText(_IDURL);
	$row1[] = $output->BoldText(_URLNAME);
	$row1[] = $output->BoldText(_URLALIAS);
	$row1[] = $output->BoldText(_URLOPTION);
	
	$output->SetOutputMode(_PNH_KEEPOUTPUT);
	$output->SetInputMode(_PNH_VERBATIMINPUT);
	$output->TableAddRow($row1, 'left');
	
	while(list($id, $name, $alias) = $result->fields)
	{
		$result->MoveNext();
		$row2 = array();
		
		$output->SetOutputMode(_PNH_RETURNOUTPUT);
		//$row2[] = $output->Text($id);
		$row2[] = $output->Text($name);
		$row2[] = $output->Text($alias);
		$row2[] = $output->URL(pnModURL('PostWrap',
										'adminapi',
										'EditUrl', array('id' => $id, 'bluff'=> $id)),
										_URLEDIT);
		
		$row2[] = $output->URL(pnModURL('PostWrap',
										'adminapi',
										'DeleteUrl', array('id' => $id, 'bluff'=> $id)),
										_URLDELETE);
		
		$output->SetOutputMode(_PNH_KEEPOUTPUT);
		$output->SetInputMode(_PNH_VERBATIMINPUT);
		$output->TableAddRow($row2, 'left');
	}
	
	$row3 = array();
	$output->SetOutputMode(_PNH_RETURNOUTPUT);
	
	//$row3[] = $output->Text(_URLNEW);
	$row3[] = $output->FormText('host', 'http://', 30, 255);
	$row3[] = $output->FormText('alias', '', 30, 50);
	$row3[] = $output->FormSubmit(_URLADD);
	$output->SetOutputMode(_PNH_KEEPOUTPUT);
	$output->SetInputMode(_PNH_VERBATIMINPUT);
	$output->TableAddRow($row3, 'left');
	//$output->Linebreak(2);
	
	$output->TableEnd();
	
	//Get vars from URL SETTINGS
	$reg_user_only['0'] = '';
	$reg_user_only['1'] = '';
	$reg_user_only[pnModGetVar(_CONFIG_MODULE, 'reg_user_only')] = ' checked';
	$open_direct['0'] = '';
	$open_direct['1'] = '';
	$open_direct[pnModGetVar(_CONFIG_MODULE, 'open_direct')] = ' checked';
	$use_fixed_title['0'] = '';
	$use_fixed_title['1'] = '';
	$use_fixed_title[pnModGetVar(_CONFIG_MODULE, 'use_fixed_title')] = ' checked';
	$auto_resize['0'] = '';
	$auto_resize['1'] = '';
	$auto_resize[pnModGetVar(_CONFIG_MODULE, 'auto_resize')] = ' checked';
	$vsize=pnModGetVar(_CONFIG_MODULE, 'vsize');
	$hsize=pnModGetVar(_CONFIG_MODULE, 'hsize'); //New
	//End Geting vars
	
	$output->Linebreak();
	$output->BoldText(_ADMINURLOVERRIDE._ADMINCONFIG._ADMINURLOVERRIDE1);
	$output->Linebreak(2);
	
	$output->SetInputMode(_PNH_VERBATIMINPUT);
	
	$output->Text(_REGUSERONLY);
	$output->FormCheckbox('reg_user_only', $reg_user_only['0'], '0', 'radio');
	$output->Text(_NO);
	$output->FormCheckbox('reg_user_only', $reg_user_only['1'], '1', 'radio');
	$output->Text(_YES);
	$output->Linebreak();
	$output->Text(_OPENDIRECT);
	$output->FormCheckbox('open_direct', $open_direct['0'], '0', 'radio');
	$output->Text(_NO);
	$output->FormCheckbox('open_direct', $open_direct['1'], '1', 'radio');
	$output->Text(_YES);
	$output->Linebreak();
	$output->Text(_USEFIXEDTITLE);
	$output->FormCheckbox('use_fixed_title', $use_fixed_title['0'], '0', 'radio');
	$output->Text(_NO);
	$output->FormCheckbox('use_fixed_title', $use_fixed_title['1'], '1', 'radio');
	$output->Text(_YES);
	$output->Linebreak(2);
	$output->Text(_AUTORESIZE);
	$output->FormCheckbox('auto_resize', $auto_resize['0'], '0', 'radio');
	$output->Text(_NO);
	$output->FormCheckbox('auto_resize', $auto_resize['1'], '1', 'radio');
	$output->Text(_YES);
	$output->Linebreak();
	$output->Text(_VSIZE);
	$output->FormText('vsize', $vsize, 4, 4);
	$output->Linebreak(2);
	$output->Text(_VSIZENOTE1);
	$output->Text(", ");
	$output->Text(_VSIZENOTE2);
	$output->Linebreak(2);
	$output->Text(_HSIZE);
	$output->FormText('hsize', $hsize, 4, 4);
	$output->Text(" "._HSIZENOTE1);
	$output->Linebreak(2);
	
	$output->FormEnd();
	
	return $output->GetOutput();
}

function PostWrap_admin_Settings()
{
	$output = new pnHTML();
	// Security check - important to do this as early as possible to avoid
	// potential security holes or just too much wasted processing
	if (!pnSecAuthAction(0, 'PostWrap::', '::', ACCESS_ADMIN))
	{
		$output->Text(_MODIFYLINKSSNOAUTH);
		return $output->GetOutput();
	}
	$output->SetOutputMode(_PNH_KEEPOUTPUT);
	
	$output->SetInputMode(_PNH_VERBATIMINPUT);
	$output->Text(PostWrap_adminmenu());
	$output->SetInputMode(_PNH_PARSEINPUT);
	$output->BoldText(_ADMINMAIN._MODULETITLE._ADMINCONFIG);
	$output->Linebreak();
	
	//Get vars
	//$default_size=pnModGetVar(_CONFIG_MODULE, 'default_size');
	$allow_local_only['0'] = '';
	$allow_local_only['1'] = '';
	$allow_local_only[pnModGetVar(_CONFIG_MODULE, 'allow_local_only')] = ' checked';
	$use_buffering['0'] = '';
	$use_buffering['1'] = '';
	$use_buffering[pnModGetVar(_CONFIG_MODULE, 'use_buffering')] = ' checked';
	$use_compression['0'] = '';
	$use_compression['1'] = '';
	$use_compression[pnModGetVar(_CONFIG_MODULE, 'use_compression')] = ' checked';
	$no_user_entry['0'] = '';
	$no_user_entry['1'] = '';
	$no_user_entry[pnModGetVar(_CONFIG_MODULE, 'no_user_entry')] = ' checked';
	$security['0'] = '';
	$security['1'] = '';
	$security[pnModGetVar(_CONFIG_MODULE, 'security')] = ' checked';
	//URL Settings
	$reg_user_only['0'] = '';
	$reg_user_only['1'] = '';
	$reg_user_only[pnModGetVar(_CONFIG_MODULE, 'reg_user_only')] = ' checked';
	$open_direct['0'] = '';
	$open_direct['1'] = '';
	$open_direct[pnModGetVar(_CONFIG_MODULE, 'open_direct')] = ' checked';
	$use_fixed_title['0'] = '';
	$use_fixed_title['1'] = '';
	$use_fixed_title[pnModGetVar(_CONFIG_MODULE, 'use_fixed_title')] = ' checked';
	$auto_resize['0'] = '';
	$auto_resize['1'] = '';
	$auto_resize[pnModGetVar(_CONFIG_MODULE, 'auto_resize')] = ' checked';
	$vsize=pnModGetVar(_CONFIG_MODULE, 'vsize');
	$hsize=pnModGetVar(_CONFIG_MODULE, 'hsize'); //new
	//End Geting vars
	
	$output->FormStart(pnModURL('PostWrap', 'adminapi', 'updateLinks'));

	$output->SetInputMode(_PNH_VERBATIMINPUT);

	$output->Text(_ALLOWLOCALONLY);
	$output->FormCheckbox('allow_local_only', $allow_local_only['1'], '1', 'radio');
	$output->Text(_NO);
	$output->FormCheckbox('allow_local_only', $allow_local_only['0'], '0', 'radio');
	$output->Text(_YES);
	$output->Linebreak(2);
	$output->Text(_USEBUFFERING);
	$output->FormCheckbox('use_buffering', $use_buffering['0'], '0', 'radio');
	$output->Text(_NO);
	$output->FormCheckbox('use_buffering', $use_buffering['1'], '1', 'radio');
	$output->Text(_YES);
	$output->Linebreak();
	$output->Text(_USECOMPRESSION);
	$output->FormCheckbox('use_compression', $use_compression['0'], '0', 'radio');
	$output->Text(_NO);
	$output->FormCheckbox('use_compression', $use_compression['1'], '1', 'radio');
	$output->Text(_YES);
	$output->Linebreak(2);
	$output->Text(_NOUSERENTRY);
	$output->FormCheckbox('no_user_entry', $no_user_entry['0'], '0', 'radio');
	$output->Text(_NO);
	$output->FormCheckbox('no_user_entry', $no_user_entry['1'], '1', 'radio');
	$output->Text(_YES);
	$output->Linebreak(2);
	$output->Text(_SECURITY);
	$output->FormCheckbox('security', $security['0'], '0', 'radio');
	$output->Text(_NO);
	$output->FormCheckbox('security', $security['1'], '1', 'radio');
	$output->Text(_YES);
	
	$output->Linebreak(2);
	
	$output->Text(_REGUSERONLY);
	$output->FormCheckbox('reg_user_only', $reg_user_only['0'], '0', 'radio');
	$output->Text(_NO);
	$output->FormCheckbox('reg_user_only', $reg_user_only['1'], '1', 'radio');
	$output->Text(_YES);
	$output->Linebreak();
	$output->Text(_OPENDIRECT);
	$output->FormCheckbox('open_direct', $open_direct['0'], '0', 'radio');
	$output->Text(_NO);
	$output->FormCheckbox('open_direct', $open_direct['1'], '1', 'radio');
	$output->Text(_YES);
	$output->Linebreak();
	$output->Text(_USEFIXEDTITLE);
	$output->FormCheckbox('use_fixed_title', $use_fixed_title['0'], '0', 'radio');
	$output->Text(_NO);
	$output->FormCheckbox('use_fixed_title', $use_fixed_title['1'], '1', 'radio');
	$output->Text(_YES);
	$output->Linebreak(2);
	$output->Text(_AUTORESIZE);
	$output->FormCheckbox('auto_resize', $auto_resize['0'], '0', 'radio');
	$output->Text(_NO);
	$output->FormCheckbox('auto_resize', $auto_resize['1'], '1', 'radio');
	$output->Text(_YES);
	$output->Linebreak();
	$output->Text(_VSIZE);
	$output->FormText('vsize', $vsize, 4, 4);
	$output->Linebreak(2);
	$output->Text(_VSIZENOTE1);
	$output->Text(", ");
	$output->Text(_VSIZENOTE2);
	$output->Linebreak(2);
	$output->Text(_HSIZE);
	$output->FormText('hsize', $hsize, 4, 4);
	$output->Text(" "._HSIZENOTE1);
	$output->Linebreak(2);
	
	$output->FormSubmit(_SAVECHANGES);
	
	$output->FormEnd();
	
	return $output->GetOutput();
}

function Postwrap_adminmenu()
{
	global $ModName, $hlpfile;
	
	$output = new pnHTML();
	// Security check - important to do this as early as possible to avoid
	// potential security holes or just too much wasted processing
	if (!pnSecAuthAction(0, 'PostWrap::', '::', ACCESS_ADMIN))
	{
		$output->Text(_MODIFYLINKSSNOAUTH);
		return $output->GetOutput();
	}
	
	$output->TableStart('','',2);
	$output->TableRowStart();
	$output->TableColStart();
	$output->URL('admin.php',_ADMINMENU);
	
	//Get Module Name
	$ModName = pnModGetName();
	//Get Help files
	modules_get_manual();
	
	$output->Linebreak(2);
	$output->URL('javascript:openwindow('.')', _ONLINEMANUAL);
	$output->TableColEnd();
	$output->TableRowEnd();
	
	$output->TableEnd();
	
	$output->Linebreak();
	
	$output->TableStart(_MODULETITLE._MODULEVER, '', 0);
	
	$output->TableRowStart();
	$output->TableColStart(1,'right');
	
	$output->URL(pnModURL('PostWrap',
                           'admin',
                           'Settings'),
                           _ADMINCONFIG);
    
	$output->SetInputMode(_PNH_VERBATIMINPUT);
	
	$output->TableColEnd();
	
	$output->TableColStart();
    
	$output->SetInputMode(_PNH_PARSEINPUT);
	
	$output->URL(pnModURL('PostWrap',
                           'admin',
                           'Url'),
                           _ADMINURLPANEL);
	$output->TableColEnd();
	
	$output->TableRowEnd();
	
	$output->TableEnd();
	
	$output->SetInputMode(_PNH_VERBATIMINPUT);
	$output->Text("<center><hr width=\"90%\"></center>");
	$output->Linebreak();
	
	if (pnSessionGetVar('PostWrap_status'))
	{
		$output->Text(pnSessionGetVar('PostWrap_status'));
		pnSessionSetVar('PostWrap_status','');
		$output->Linebreak(2);
	}
	//If We have Some Error ( security mostly )
	if (pnSessionGetVar('errormsg'))
	{
		$output->Text(pnSessionGetVar('errormsg'));
		pnSessionSetVar('errormsg','');
		$output->Linebreak(2);
	}
	
	return $output->GetOutput();
}
?>
